!

API recipes

Practical examples for using the Houski API.

Examples

Find walkout basement suite candidates

Programming language

Select the programming language you want to display the code examples in.

Find walkout basement suite candidates
Walkout capability and separate entrance are tracked per basement - both prerequisites for legal secondary suite conversion. Prime leads for renovation contractors, income-property investors, and mortgage brokers.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&basement_is_walkout_eq=true&city=calgary&country_abbreviation=ca&page=1&property_type_eq=House&province_abbreviation=ab&results_per_page=5&select=address,basement_has_entrance,basement_is_walkout,basement_type,interior_sq_m,estimate_list_price,estimate_rent_monthly"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('basement_is_walkout_eq', 'true');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'House');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '5');
    url.searchParams.set('select', 'address,basement_has_entrance,basement_is_walkout,basement_type,interior_sq_m,estimate_list_price,estimate_rent_monthly');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": false,
  "cost_cents": 3.0999999046325684,
  "data": [
    {
      "address": "317 Sierra Morena Court SW",
      "basement_has_entrance": true,
      "basement_is_walkout": true,
      "basement_type": "Full",
      "estimate_list_price": 953540,
      "estimate_rent_monthly": 4003,
      "interior_sq_m": 217.4859161376953,
      "property_id": "29198bbb47d801a"
    },
    {
      "address": "14232 Evergreen Street SW",
      "basement_has_entrance": true,
      "basement_is_walkout": true,
      "basement_type": "Full",
      "estimate_list_price": 770663,
      "estimate_rent_monthly": 3185,
      "interior_sq_m": 176.5157012939453,
      "property_id": "56741fcfa98bcf71"
    },
    {
      "address": "4 Fortress Court SW",
      "basement_has_entrance": true,
      "basement_is_walkout": true,
      "basement_type": "Full",
      "estimate_list_price": 2493886,
      "estimate_rent_monthly": 6408,
      "interior_sq_m": 508.1794128417969,
      "property_id": "5bd71adfa1c404ab"
    },
    {
      "address": "7836 Bowcliffe Crescent NW",
      "basement_has_entrance": true,
      "basement_is_walkout": true,
      "basement_type": "Full",
      "estimate_list_price": 839883,
      "estimate_rent_monthly": 3493,
      "interior_sq_m": 176.5157012939453,
      "property_id": "714faa57c09d32c5"
    },
    {
      "address": "39 Saddlelake He NE",
      "basement_has_entrance": true,
      "basement_is_walkout": true,
      "basement_type": "Full",
      "estimate_list_price": 1037676,
      "estimate_rent_monthly": 3406,
      "interior_sq_m": 278.7090148925781,
      "property_id": "804c47d5e5915fdd"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 3
  },
  "price_quote": false,
  "result_total": 12,
  "time_ms": 57,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}